Enable IntegrationConfig - m3ter Documentation

Enable IntegrationConfig

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}/enable \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}/enable"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}/enable', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}/enable",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}/enable"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java (Unirest)

HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}/enable")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/integrationconfigs/{id}/enable")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Response Codes

Example Response

{
  "id": "<string>",
  "entityType": "Bill",
  "destination": "Stripe",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "entityId": "00000000-0000-0000-0000-000000000000",
  "destinationId": "00000000-0000-0000-0000-000000000000",
  "configData": {},
  "authorized": true,
  "enabled": true,
  "integrationCredentialsId": "00000000-0000-0000-0000-000000000000",
  "name": "My Integration"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorization

Path Parameters

Response Fields